<script lang="ts">
  import { onMount } from 'svelte';
  import { useSessionStorage } from 'sveltronics';
  import { Button } from 'flowbite-svelte';
  import Fa from 'svelte-fa';
  import { faXmark } from '@fortawesome/free-solid-svg-icons';

  let showWarning;

  onMount(() => {
    showWarning = useSessionStorage('informationWarning', true);
  });
</script>

{#if $showWarning}
  <div
    class="flex items-center justify-center bg-white outline outline-1 dark:outline-none dark:bg-gray-900 text-gray-700 dark:text-gray-200 z-50">
    <div
      class="{showWarning
        ? 'flex'
        : 'hidden'} flex-grow items-center justify-center text-center border-gray-100 dark:border-gray-700 p-2 md:p-5">
      <p>
        Information presented may be incomplete. Please email
        <a class="font-bold" href="mailto:cyberatlas@c2games.org">cyberatlas@c2games.org</a>
        with any feedback or suggestions.
      </p>
    </div>
    <Button
      color="transparent"
      class="mr-5 rounded-lg p-1.5 focus:outline-none whitespace-normal focus:ring-2 focus:ring-gray-400 hover:bg-gray-100 dark:hover:bg-gray-600"
      data-umami-event="Hide Footer Warning"
      on:click={() => showWarning.set(false)}>
      <Fa size="lg" icon={faXmark} />
    </Button>
  </div>
{/if}
